Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kemet.orm.castor
Class Signs

    java.lang.Object
      org.kemet.orm.castor.Signs

All Implemented Interfaces:
  java.io.Serializable

    public class Signs

extends java.lang.Object
implements java.io.Serializable

Class Signs.

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Constructor Summary
`Signs()`

Method Summary
`void` | `addSign(int index, Sign vSign)`
`void` | `addSign(Sign vSign)`
`java.util.Enumeration` | `enumerateSign()` Method enumerateSign.
`Sign[]` | `getSign()` Method getSign.Returns the contents of the collection in an Array.
`Sign` | `getSign(int index)` Method getSign.
`int` | `getSignCount()` Method getSignCount.
`boolean` | `isValid()` Method isValid.
`java.util.Iterator` | `iterateSign()` Method iterateSign.
`void` | `marshal(org.xml.sax.ContentHandler handler)`
`void` | `marshal(java.io.Writer out)`
`void` | `removeAllSign()`
`boolean` | `removeSign(Sign vSign)` Method removeSign.
`Sign` | `removeSignAt(int index)` Method removeSignAt.
`void` | `setSign(int index, Sign vSign)`
`void` | `setSign(Sign[] vSignArray)`
`static Signs` | `unmarshal(java.io.Reader reader)` Method unmarshal.
`void` | `validate()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Signs

    public Signs()

Method Detail

### addSign

    public void addSign(Sign vSign)
                 throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vSign` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### addSign

    public void addSign(int index,
                        Sign vSign)
                 throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vSign` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### enumerateSign

    public java.util.Enumeration enumerateSign()

  Method enumerateSign.

  Returns:
    an Enumeration over all possible elements of this collection

### getSign

    public Sign getSign(int index)
                 throws java.lang.IndexOutOfBoundsException

  Method getSign.

  Parameters:
    `index` -
  Returns:
    the value of the org.kemet.orm.castor.Sign at the given index
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### getSign

    public Sign[] getSign()

  Method getSign.Returns the contents of the collection in an Array.

  Note: Just in case the collection contents are changing in another thread, we pass a 0-length Array of the correct type into the API call. This way we know that the Array returned is of exactly the correct length.

  Returns:
    this collection as an Array

### getSignCount

    public int getSignCount()

  Method getSignCount.

  Returns:
    the size of this collection

### isValid

    public boolean isValid()

  Method isValid.

  Returns:
    true if this object is valid according to the schema

### iterateSign

    public java.util.Iterator iterateSign()

  Method iterateSign.

  Returns:
    an Iterator over all possible elements in this collection

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

### marshal

    public void marshal(org.xml.sax.ContentHandler handler)
                 throws java.io.IOException,
                        org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `java.io.IOException` - if an IOException occurs during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling

### removeAllSign

    public void removeAllSign()

### removeSign

    public boolean removeSign(Sign vSign)

  Method removeSign.

  Parameters:
    `vSign` -
  Returns:
    true if the object was removed from the collection.

### removeSignAt

    public Sign removeSignAt(int index)

  Method removeSignAt.

  Parameters:
    `index` -
  Returns:
    the element removed from the collection

### setSign

    public void setSign(int index,
                        Sign vSign)
                 throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vSign` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### setSign

    public void setSign(Sign[] vSignArray)

  Parameters:
    `vSignArray` -

### unmarshal

    public static Signs unmarshal(java.io.Reader reader)
                           throws org.exolab.castor.xml.MarshalException,
                                  org.exolab.castor.xml.ValidationException

  Method unmarshal.

  Parameters:
    `reader` -
  Returns:
    the unmarshaled org.kemet.orm.castor.Signs
  Throws:
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 F. MAUPIN. All Rights Reserved.